Bug 184458 - net-mgmt/collectd5 does not support write_riemann plugin
Summary: net-mgmt/collectd5 does not support write_riemann plugin
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-02 22:40 UTC by Dave Cottlehuber
Modified: 2014-04-07 12:20 UTC (History)
0 users

See Also:


Attachments
collectd5.patch (1.99 KB, patch)
2013-12-20 18:40 UTC, Krzysztof
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Cottlehuber 2013-12-02 22:40:00 UTC
CollectD now supports a very efficient UDP or TCP based wire protocol via google protocol buffers.

Fix: 

It requires the protobuf-c.h header (and related library) to build against, and appropriate build options in the port.
Comment 1 Edwin Groothuis freebsd_committer 2013-12-03 04:31:45 UTC
Maintainer of net-mgmt/collectd5,

Please note that PR ports/184458 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/184458

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-12-03 04:31:46 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Krzysztof 2013-12-20 18:40:25 UTC
Hello,

I've attached a patch to add a write_riemann plugin. I've checked it on
tinderbox and there were no errors. So I hope it will be added to ports
soonly :-)))

Greetings,
-- 
Krzysztof Stryjek
UNIX administrator/Juniper Networks Specialist
email: wtp (at) bsdserwis (dot) com
http://www.linkedin.com/in/KrzysztofStryjek
GPG fingerprint: 8BD7 40CE 8994 0BBE CE6C  91CD 1292 8959 DC61 0E76

In theory, there is no difference between theory and practice.
In practice, there is.
Comment 4 Dave Cottlehuber 2014-03-19 00:18:37 UTC
LGTM, could this go in=3F

If so I=E2=80=99d love to see it bumped to collectd-5.4.1 which has some =
zfs fixes too. Here=E2=80=99s a version bump for the current 10-stable po=
rt. I can=E2=80=99t see how the patch files are generated so they still n=
eed to be amended.

--=C2=A0
Dave Cottlehuber
Sent from my PDP11

diff --git a/net-mgmt/collectd5/Makefile b/net-mgmt/collectd5/Makefile
index aef7db6..02202e6 100644
--- a/net-mgmt/collectd5/Makefile
+++ b/net-mgmt/collectd5/Makefile
=40=40 -2,8 +2,8 =40=40
=C2=A0=23 =24=46reeBSD: head/net-mgmt/collectd5/Makefile 339321 2014-01-1=
0 08:25:34Z demon =24

=C2=A0PORTNAME=3D =C2=A0 =C2=A0 =C2=A0collectd
-PORTVERSION=3D =C2=A0 5.4.0
-PORTREVISION=3D =C2=A03
+PORTVERSION=3D =C2=A0 5.4.1
+PORTREVISION=3D =C2=A04
=C2=A0PKGNAMESU=46=46IX=3D 5
=C2=A0CATEGORIES=3D =C2=A0 =C2=A0net-mgmt
=C2=A0MASTER=5FSITES=3D =C2=A0http://collectd.org/files/
diff --git a/net-mgmt/collectd5/distinfo b/net-mgmt/collectd5/distinfo
index 6115301..4cf0c50 100644
--- a/net-mgmt/collectd5/distinfo
+++ b/net-mgmt/collectd5/distinfo
=40=40 -1,2 +1,2 =40=40
-SHA256 (collectd-5.4.0.tar.bz2) =3D 90973894a1f10775d409fe23ce7bc4d89c1b=
7c6f4d9918b305d160605871923e
-SIZE (collectd-5.4.0.tar.bz2) =3D 1506520
+SHA256 (collectd-5.4.1.tar.bz2) =3D 75452129f271cb0aad28e57f12a49070618b=
bb7b6a9d64cf869e8766fa2f66e0
+SIZE (collectd-5.4.1.tar.bz2) =3D 1521907
Comment 5 Dmitry Sivachenko freebsd_committer 2014-04-07 12:14:56 UTC
State Changed
From-To: feedback->closed

Patch committed, thanks!
Comment 6 dfilter service freebsd_committer 2014-04-07 12:15:15 UTC
Author: demon
Date: Mon Apr  7 11:15:09 2014
New Revision: 350459
URL: http://svnweb.freebsd.org/changeset/ports/350459
QAT: https://qat.redports.org/buildarchive/r350459/

Log:
  Add RIEMANN option.
  
  PR:		184458
  Submitted by:	maintainer

Modified:
  head/net-mgmt/collectd5/Makefile
  head/net-mgmt/collectd5/pkg-plist

Modified: head/net-mgmt/collectd5/Makefile
==============================================================================
--- head/net-mgmt/collectd5/Makefile	Mon Apr  7 11:09:06 2014	(r350458)
+++ head/net-mgmt/collectd5/Makefile	Mon Apr  7 11:15:09 2014	(r350459)
@@ -19,7 +19,7 @@ BUILD_DEPENDS+=	${LOCALBASE}/libdata/pkg
 
 OPTIONS_DEFINE=		CGI DEBUG GCRYPT VIRT
 OPTIONS_GROUP=		INPUT OUTPUT
-OPTIONS_GROUP_OUTPUT=	RRDTOOL NOTIFYEMAIL NOTIFYDESKTOP
+OPTIONS_GROUP_OUTPUT=	RRDTOOL NOTIFYEMAIL NOTIFYDESKTOP RIEMANN
 OPTIONS_GROUP_INPUT=	CURL DBI JSON MEMCACHEC MODBUS MONGODB MYSQL \
 			NUTUPS PGSQL PING PYTHON RABBITMQ REDIS \
 			ROUTEROS SIGROK SNMP STATGRAB TOKYOTYRANT XML XMMS
@@ -42,6 +42,7 @@ PING_DESC=		Enable ping plugin
 PYTHON_DESC=		Enable python-based plugins
 RABBITMQ_DESC=		Enable rabbitmq-based plugins
 REDIS_DESC=		Enable redis-based plugins
+RIEMANN_DESC=		Enable write_riemann plugin (via protobuf-c)
 ROUTEROS_DESC=		Enable routeros plugin
 RRDTOOL_DESC=		Enable rrdtool plugin (also rrdcached plugin)
 SIGROK_DESC=		Enable sigrok plugin
@@ -335,6 +336,15 @@ CONFIGURE_ARGS+=--without-libcredis \
 PLIST_SUB+=	REDIS="@comment "
 .endif
 
+.if ${PORT_OPTIONS:MRIEMANN}
+LIB_DEPENDS+=	libprotobuf-c.so:${PORTSDIR}/devel/protobuf-c
+CONFIGURE_ARGS+=--enable-write_riemann
+PLIST_SUB+=	RIEMANN=""
+.else
+CONFIGURE_ARGS+=--disable-write_riemann
+PLIST_SUB+=	RIEMANN="@comment "
+.endif
+
 .if ${PORT_OPTIONS:MROUTEROS}
 LIB_DEPENDS+=	librouteros.so:${PORTSDIR}/net/librouteros
 CONFIGURE_ARGS+=--with-librouteros=${LOCALBASE} --enable-routeros

Modified: head/net-mgmt/collectd5/pkg-plist
==============================================================================
--- head/net-mgmt/collectd5/pkg-plist	Mon Apr  7 11:09:06 2014	(r350458)
+++ head/net-mgmt/collectd5/pkg-plist	Mon Apr  7 11:15:09 2014	(r350459)
@@ -232,6 +232,9 @@ lib/collectd/write_graphite.la
 %%REDIS%%lib/collectd/write_redis.a
 %%REDIS%%lib/collectd/write_redis.so
 %%REDIS%%lib/collectd/write_redis.la
+%%RIEMANN%%lib/collectd/write_riemann.a
+%%RIEMANN%%lib/collectd/write_riemann.so
+%%RIEMANN%%lib/collectd/write_riemann.la
 %%XMMS%%lib/collectd/xmms.a
 %%XMMS%%lib/collectd/xmms.so
 %%XMMS%%lib/collectd/xmms.la
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"